import { ContractId } from "@hiero-ledger/sdk";
import EvmAddress from "../../../../domain/context/contract/EvmAddress";
import TransactionResponse from "../../../../domain/context/transaction/TransactionResponse";
import { TransactionExecutor } from "../TransactionExecutor";
export declare class ControlListOperations {
    private readonly executor;
    constructor(executor: TransactionExecutor);
    addToControlList(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeFromControlList(security: EvmAddress, targetId: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    updateExternalControlLists(security: EvmAddress, externalControlListsAddresses: EvmAddress[], actives: boolean[], securityId: ContractId | string): Promise<TransactionResponse>;
    addExternalControlList(security: EvmAddress, externalControlListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    removeExternalControlList(security: EvmAddress, externalControlListAddress: EvmAddress, securityId: ContractId | string): Promise<TransactionResponse>;
    addToBlackListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    addToWhiteListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    removeFromBlackListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    removeFromWhiteListMock(contract: EvmAddress, targetId: EvmAddress, contractId: ContractId | string): Promise<TransactionResponse>;
    createExternalBlackListMock(): Promise<TransactionResponse>;
    createExternalWhiteListMock(): Promise<TransactionResponse>;
}
